//
//  FAKE_NSHTTPURLResponse.h
//  NLDataProvider
//
//  Created by Remy Demarest on 11/11/2010.
//  Copyright 2010 Nulayer Inc. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface FAKE_NSHTTPURLResponse : NSObject
@property(nonatomic, copy) NSURL        *URL;
@property(nonatomic, copy) NSString     *MIMEType;
@property(nonatomic)       long long     expectedContentLength;
@property(nonatomic, copy) NSString     *textEncodingName;
@property(nonatomic, copy) NSString     *suggestedFilename;
@property(nonatomic)       NSInteger     statusCode;
@property(nonatomic, copy) NSDictionary *allHeaderFields;
@property(nonatomic, copy) NSDate       *lastModifiedDate;
@property(nonatomic, copy) NSDate       *reloadAfterDate;
@property(nonatomic, copy) NSString     *entityTag;
@end
