//
//  NLOperationQueue.h
//  AsynchronousLoad
//
//  Created by Remy Demarest on 14/10/2010.
//  Copyright 2010 Nulayer Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NLOperationQueue : NSObject
{
@private
    NSMutableArray *_runningOperations;
    NSMutableArray *_allOperations;
    
    NSInteger       _maxConcurrentOperationCount;
}

- (void)addOperation:(NSOperation *)op;

- (NSArray *)operations;

@property(nonatomic) NSInteger maxConcurrentOperationCount;

@end